## Makefile for local incorporation of Xm library

## Set MOTIF_LIB to refer to the Motif library you will be using
MOTIF_LIB=-L/usr/dt/lib -lXm

# The following may be overridden by an equivalent environment variable
# pointing to the root of the WorkShop Visual tree if this Makefile is used
# outside of the WorkShop Visual tree.
VISUROOT=../..

##
## Platform specific configurations:
##

## everything standard
#SYS_LIBS=-L/usr/lib -Bdynamic -lXt -lX11
###

## hp-ux 9.x
#SYS_LIBS=-L/usr/lib/X11R5 -lXt -lX11
#XDFLAGS=-Wl,+b/usr/lib/X11R5:/usr/lib,+s
###

## sco sysv3.4
#SYS_LIBS=-lXt -lX11 -lsocket -lintl -lm
#XDFLAGS=
###

## ibm aix
#SYS_LIBS=-lXt -lX11
#XDFLAGS=
###

## dec osf1
#SYS_LIBS=-lXt -lX11
#XDFLAGS=-taso
###

## ncr sysv4
#SYS_LIBS=-lXt -lX11 -lnsl -lsocket -lgen -lresolv
#XDFLAGS=
###

## nec sysv4
#SYS_LIBS=-lXt -lX11 -lnsl -lsocket -lgen -lresolv
#XDFLAGS=
###

## concurrent sysv4
#SYS_LIBS=-lXt -lX11 -lnsl -lsocket -lgen -lresolv
#XDFLAGS=
###

## sg irix
#SYS_LIBS=-lXt -lX11
#XDFLAGS=
###

## novell sysv4
#SYS_LIBS=-L/usr/X/lib -lXt -lXimp -lX11 -lnsl -lsocket -lgen -lresolv
#XDFLAGS=
###

# solaris 2.x
.SCCS_GET:

SYS_LIBS=-L/usr/openwin/lib -L/usr/dt/lib  -lXt -lX11 -ltt -lnsl -lsocket -ldl -lgen
XDFLAGS=-R/usr/openwin/lib -R/usr/dt/lib
##

XDOBJ=${VISUROOT}/user_widgets/obj/visu.o.noXm
EMPTY=${VISUROOT}/user_widgets/obj/libempty.a

visu.bin:	$(XDOBJ) $(EMPTY)
		CC -o $@ $(XDOBJ) $(EMPTY) ${XDFLAGS} ${MOTIF_LIB} ${SYS_LIBS} -lm
